<?php
/*Promo Section Options*/
$GLOBALS['shubhu_theme_options'] = shubhu_get_options_value();

$wp_customize->add_section( 'shubhu_promo_section', array(
    'priority'       => 20,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Boxes Below Slider Settings', 'shubhu' ),
    'panel'          => 'shubhu_panel',
) );

/*callback functions slider*/
if ( !function_exists('shubhu_promo_active_callback') ) :
    function shubhu_promo_active_callback(){
        global $shubhu_theme_options;
        $enable_promo = absint($shubhu_theme_options['shubhu_enable_promo']);
        if( 1 == $enable_promo ){
            return true;
        }
        else{
            return false;
        }
    }
endif;

/*Boxes Enable Option*/
$wp_customize->add_setting( 'shubhu_options[shubhu_enable_promo]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['shubhu_enable_promo'],
    'sanitize_callback' => 'shubhu_sanitize_checkbox'
) );

$wp_customize->add_control( 'shubhu_options[shubhu_enable_promo]', array(
    'label'     => __( 'Enable Boxes', 'shubhu' ),
    'description' => __('Enable and select the category to show the boxes below slider.', 'shubhu'),
    'section'   => 'shubhu_promo_section',
    'settings'  => 'shubhu_options[shubhu_enable_promo]',
    'type'      => 'checkbox',
    'priority'  => 5,

) );

/*Promo Category Selection*/
$wp_customize->add_setting( 'shubhu_options[shubhu-promo-select-category]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['shubhu-promo-select-category'],
    'sanitize_callback' => 'absint'

) );

$wp_customize->add_control(
    new Shubhu_Customize_Category_Dropdown_Control(
        $wp_customize,
        'shubhu_options[shubhu-promo-select-category]',
        array(
            'label'     => __( 'Category For Boxes', 'shubhu' ),
            'description' => __('From the dropdown select the category for the boxes. Category having post will display in below boxes section.', 'shubhu'),
            'section'   => 'shubhu_promo_section',
            'settings'  => 'shubhu_options[shubhu-promo-select-category]',
            'type'      => 'category_dropdown',
            'priority'  => 5,
            'active_callback'=>'shubhu_promo_active_callback'
        )
    )
);