<?php
$GLOBALS['shubhu_theme_options'] = shubhu_get_options_value();

/*Single Page Options*/
$wp_customize->add_section('shubhu_single_page_section', array(
    'priority' => 20,
    'capability' => 'edit_theme_options',
    'theme_supports' => '',
    'title' => __('Single Page Settings', 'shubhu'),
    'panel' => 'shubhu_panel',
));

/*Single Page Sidebar Layout*/
$wp_customize->add_setting('shubhu_options[shubhu-sidebar-single-page]', array(
    'capability' => 'edit_theme_options',
    'transport' => 'refresh',
    'default' => $default['shubhu-sidebar-single-page'],
    'sanitize_callback' => 'shubhu_sanitize_select'
));

$wp_customize->add_control( 
    new Shubhu_Radio_Image_Control(
        $wp_customize,
    'shubhu_options[shubhu-sidebar-single-page]', array(
    'choices' => shubhu_single_sidebar_position_array(),
    'label' => __('Select Sidebar', 'shubhu'),
    'description' => __('From Appearance > Customize > Widgets and add the widgets on the respected widget areas.', 'shubhu'),
    'section' => 'shubhu_single_page_section',
    'settings' => 'shubhu_options[shubhu-sidebar-single-page]',
    'type' => 'select',
    'priority' => 15,
)));

/*Featured Image Option*/
$wp_customize->add_setting('shubhu_options[shubhu-single-page-featured-image]', array(
    'capability' => 'edit_theme_options',
    'transport' => 'refresh',
    'default' => $default['shubhu-single-page-featured-image'],
    'sanitize_callback' => 'shubhu_sanitize_checkbox'
));

$wp_customize->add_control('shubhu_options[shubhu-single-page-featured-image]', array(
    'label' => __('Enable Featured Image on Single Posts', 'shubhu'),
    'description' => __('You can hide images on single post from here.', 'shubhu'),
    'section' => 'shubhu_single_page_section',
    'settings' => 'shubhu_options[shubhu-single-page-featured-image]',
    'type' => 'checkbox',
    'priority' => 15,
));

/*Related Post Options*/
$wp_customize->add_setting('shubhu_options[shubhu-single-page-related-posts]', array(
    'capability' => 'edit_theme_options',
    'transport' => 'refresh',
    'default' => $default['shubhu-single-page-related-posts'],
    'sanitize_callback' => 'shubhu_sanitize_checkbox'
));

$wp_customize->add_control('shubhu_options[shubhu-single-page-related-posts]', array(
    'label' => __('Related Posts', 'shubhu'),
    'description' => __('2 posts of same category will appear.', 'shubhu'),
    'section' => 'shubhu_single_page_section',
    'settings' => 'shubhu_options[shubhu-single-page-related-posts]',
    'type' => 'checkbox',
    'priority' => 15,
));



/*callback functions related posts*/
if (!function_exists('shubhu_related_post_callback')) :
    function shubhu_related_post_callback()
    {
        global $shubhu_theme_options;
        $related_posts = absint($shubhu_theme_options['shubhu-single-page-related-posts']);
        if (1 == $related_posts) {
            return true;
        } else {
            return false;
        }
    }
endif;

/*Related Post Title*/
$wp_customize->add_setting('shubhu_options[shubhu-single-page-related-posts-title]', array(
    'capability' => 'edit_theme_options',
    'transport' => 'refresh',
    'default' => $default['shubhu-single-page-related-posts-title'],
    'sanitize_callback' => 'sanitize_text_field'
));

$wp_customize->add_control('shubhu_options[shubhu-single-page-related-posts-title]', array(
    'label' => __('Related Posts Title', 'shubhu'),
    'description' => __('Enter the suitable title.', 'shubhu'),
    'section' => 'shubhu_single_page_section',
    'settings' => 'shubhu_options[shubhu-single-page-related-posts-title]',
    'type' => 'text',
    'priority' => 15,
    'active_callback' => 'shubhu_related_post_callback'
));

/*Social Share Options*/
$wp_customize->add_setting('shubhu_options[shubhu-single-social-share]', array(
    'capability' => 'edit_theme_options',
    'transport' => 'refresh',
    'default' => $default['shubhu-single-social-share'],
    'sanitize_callback' => 'shubhu_sanitize_checkbox'
));

$wp_customize->add_control('shubhu_options[shubhu-single-social-share]', array(
    'label' => __('Social Sharing', 'shubhu'),
    'description' => __('Enable Social Sharing on Single Posts.', 'shubhu'),
    'section' => 'shubhu_single_page_section',
    'settings' => 'shubhu_options[shubhu-single-social-share]',
    'type' => 'checkbox',
    'priority' => 15,
));
